Package com.collibra.dgc.core.api.model.mapping

# Interface Mapping

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface Mapping extends Resource
Represents a mapping.

A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description of the mapped resource.
  `String`
  `getExternalEntityId()`
  Returns the external `id` of the mapped resource.
  `String`
  `getExternalEntityUrl()`
  Returns the external URL of the mapped resource.
  `String`
  `getExternalSystemId()`
  Returns the `id` of the external system that the mapped resource belongs to.
  `Long`
  `getLastSyncDate()`
  Returns the timestamp (in UTC time standard) of the last synchronization of mapped resource.
  `NamedResourceReference`
  `getMappedResource()`
  Returns the mapped resource if the mapping is linked to any, `null` otherwise.
  `SyncAction`
  `getSyncAction()`
  Returns the type of the action performed during last successful synchronization.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getExternalSystemId

    String getExternalSystemId()
    Returns the `id` of the external system that the mapped resource belongs to.
    Returns:
      the `id` of the external system

  - ### getExternalEntityId

    String getExternalEntityId()
    Returns the external `id` of the mapped resource.
    Returns:
      the external `id` of the mapped resource

  - ### getExternalEntityUrl

    String getExternalEntityUrl()
    Returns the external URL of the mapped resource.
    Returns:
      the external URL of the mapped resource

  - ### getDescription

    String getDescription()
    Returns the description of the mapped resource.
    Returns:
      the description of the mapped resource

  - ### getMappedResource

    NamedResourceReference getMappedResource()
    Returns the mapped resource if the mapping is linked to any, `null` otherwise.
    Returns:
      the mapped resource

  - ### getLastSyncDate

    Long getLastSyncDate()
    Returns the timestamp (in UTC time standard) of the last synchronization of mapped resource.
    Returns:
      the timestamp (in UTC time standard) of the last synchronization of mapped resource

  - ### getSyncAction

    SyncAction getSyncAction()
    Returns the type of the action performed during last successful synchronization.
    Returns:
      the type of the action performed during last successful synchronization